## nautilus-location-widget-provider nautilus-location-widget-provider |

## Synopsis

                        NautilusLocationWidgetProvider;
                        NautilusLocationWidgetProviderIface;
    GtkWidget *         nautilus_location_widget_provider_get_widget
                                                            (NautilusLocationWidgetProvider *provider,
                                                             const char *uri,
                                                             GtkWidget *window);

## Object Hierarchy

      GInterface
       +----NautilusLocationWidgetProvider

## Prerequisites

NautilusLocationWidgetProvider requires GObject.

## Description

## Details

### NautilusLocationWidgetProvider

    typedef struct _NautilusLocationWidgetProvider NautilusLocationWidgetProvider;

### NautilusLocationWidgetProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GtkWidget * (*get_widget) (NautilusLocationWidgetProvider *provider,
    				   const char                     *uri,
    				   GtkWidget                      *window);
    } NautilusLocationWidgetProviderIface;

### nautilus_location_widget_provider_get_widget ()

    GtkWidget *         nautilus_location_widget_provider_get_widget
                                                            (NautilusLocationWidgetProvider *provider,
                                                             const char *uri,
                                                             GtkWidget *window);

`provider` : |
`uri` : |
`window` : |
Returns : |